icuro = icuro || {};
pagecentric = pagecentric || {};

icuro.baseUrl = '//icuro-3.0-apitest.com/file/';

$.fn.serializeObject = function()
{
    var o = {};
    var a = this.serializeArray();
    $.each(a, function() {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};

Date.prototype.isSameDateAs = function(bDate) {
  
  return (
    new Date().getFullYear() === bDate.getFullYear() &&
    new Date().getMonth() === bDate.getMonth() &&
    new Date().getDate() === bDate.getDate()
  );
}